Subject: [PATCH v3 14/21] ARM: imx6: convert GPC to stacked domains

From: [email-masked] (Marc Zyngier)
Date: Tue, 13 Jan 2015 18:36:17 +0000

On 13/01/15 06:09, Linus Walleij wrote:

Hi Linus,

> On Mon, Jan 12, 2015 at 7:26 PM, Marc Zyngier <[email-masked]> wrote:
> 
>> IMX6 has been (ab)using the gic_arch_extn to provide
>> wakeup from suspend, and it makes a lot of sense to convert
>> this code to use stacked domains instead.
>>
>> This patch does just this, updating the DT files to actually
>> reflect what the HW provides.
>>
>> BIG FAT WARNING: because the DTs were so far lying by not
>> exposing the fact that the GPC block is actually the first
>> interrupt controller in the chain, kernels with this patch
>> applied wont have any suspend-resume facility when booted
>> with old DTs, and old kernels with updated DTs won't even boot.
>>
>> Tested-by: Stefan Agner <[email-masked]>
>> Acked-by: Stefan Agner <[email-masked]>
>> Signed-off-by: Marc Zyngier <[email-masked]>
> 
> (...)
> 
>> +static int imx_gpc_domain_alloc(struct irq_domain *domain,
>> +                                 unsigned int virq,
> 
> Nutcase nitpick on this nice patch series: every time I see "virq" my
> OCD triggers, as I think the "v" in "virq" stand for virtual. These irqs
> are no more virtual than any other Linux irq numbers, hwirq is
> more to the point.
> 
> I just refer to these as "irq" (sans "v") in any code I write.

That's fair enough. I'll update that as I fix some other nits.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...